LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::sheet::DataPilotFieldSortMode Constant Group Reference

describes the sort mode of the data field More...

## Variables
const long | NONE = 0
| the data are taken as they come from the DataPilotSource. More...
const long | MANUAL = 1
| the user can sort the fields More...
const long | NAME = 2
| the field is sorted by its names More...
const long | DATA = 3
| the field is sorted by the data in the given field More...

## Detailed Description

describes the sort mode of the data field

See also
  com::sun::star::sheet::DataPilotFieldSortInfo

## Variable Documentation

## ◆ DATA

const long DATA = 3

the field is sorted by the data in the given field

See also
  com::sun::star::sheet::DataPilotFieldSortInfo

## ◆ MANUAL

const long MANUAL = 1

the user can sort the fields

## ◆ NAME

const long NAME = 2

the field is sorted by its names

## ◆ NONE

const long NONE = 0

the data are taken as they come from the DataPilotSource.